DROP TABLE IF EXISTS `wtn1_cats`;
CREATE TABLE IF NOT EXISTS `wtn1_cats` (
  `id` int(11) NOT NULL auto_increment,
  `name` tinytext NOT NULL,
  `icon` tinytext NOT NULL,
  `useicon` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`)
);

DROP TABLE IF EXISTS `wtn1_comments`;
CREATE TABLE IF NOT EXISTS `wtn1_comments` (
  `id` int(11) NOT NULL auto_increment,
  `newsid` int(11) NOT NULL,
  `username` tinytext NOT NULL,
  `subject` tinytext NOT NULL,
  `text` text NOT NULL,
  `date` tinytext NOT NULL,
  `usesmilies` tinyint(1) NOT NULL,
  `usewtbcodes` tinyint(1) NOT NULL,
  `usehtml` tinyint(1) NOT NULL,
  `notify` tinyint(1) NOT NULL,
  `ip` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
);

DROP TABLE IF EXISTS `wtn1_news`;
CREATE TABLE IF NOT EXISTS `wtn1_news` (
  `id` int(11) NOT NULL auto_increment,
  `userid` int(11) NOT NULL,
  `catid` int(11) NOT NULL,
  `date` tinytext NOT NULL,
  `subject` tinytext NOT NULL,
  `text` text NOT NULL,
  `editor` int(11) NOT NULL,
  `editdate` tinytext NOT NULL,
  `edittimes` int(11) NOT NULL,
  `public` tinyint(1) NOT NULL,
  `allowcoms` tinyint(1) NOT NULL,
  `allowvotes` tinyint(1) NOT NULL,
  `allowsmilies` tinyint(1) NOT NULL,
  `allowwtbcodes` tinyint(1) NOT NULL,
  `allowhtml` tinyint(1) NOT NULL,
  `allowsigs` tinyint(1) NOT NULL,
  `allowavas` tinyint(1) NOT NULL,
  `source` tinytext NOT NULL,
  `sourcelink` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
);

DROP TABLE IF EXISTS `wtn1_options`;
CREATE TABLE IF NOT EXISTS `wtn1_options` (
  `language` tinytext NOT NULL,
  `newsurl` tinytext NOT NULL,
  `bver` tinytext NOT NULL,
  `allow_smilies` tinyint(1) NOT NULL,
  `allow_wtbcodes` tinyint(1) NOT NULL,
  `allow_html` tinyint(1) NOT NULL,
  `allow_ssmilies` tinyint(1) NOT NULL,
  `allow_swtbcodes` tinyint(1) NOT NULL,
  `allow_shtml` tinyint(1) NOT NULL,
  `allow_comments` tinyint(1) NOT NULL,
  `allow_csmilies` tinyint(1) NOT NULL,
  `allow_cwtbcodes` tinyint(1) NOT NULL,
  `allow_chtml` tinyint(1) NOT NULL,
  `tpldir` tinytext NOT NULL,
  `imagesfolder` tinytext NOT NULL,
  `tablewidth` tinytext NOT NULL,
  `bgcolor` tinytext NOT NULL,
  `fontcolor` tinytext NOT NULL,
  `fontfamily` tinytext NOT NULL,
  `fontsize` tinytext NOT NULL,
  `smallfontsize` tinytext NOT NULL,
  `tablecolor` tinytext NOT NULL,
  `tabletopcolor` tinytext NOT NULL,
  `hrcolor` tinytext NOT NULL,
  `boldfont` tinytext NOT NULL,
  `footercolor` tinytext NOT NULL,
  `footerfontcolor` tinytext NOT NULL,
  `title` tinytext NOT NULL,
  `allow_graphics` tinyint(1) NOT NULL,
  `limit` int(11) NOT NULL,
  `morechars` int(11) NOT NULL,
  `isocharset` tinytext NOT NULL,
  `bodycss` text NOT NULL,
  `css` text NOT NULL,
  `showlogo` tinyint(1) NOT NULL,
  `logo` tinytext NOT NULL,
  `bannedips` text NOT NULL,
  `bannedclients` text NOT NULL,
  `bannedhosts` text NOT NULL,
  `bannedwords` text NOT NULL,
  `bannedcwords` text NOT NULL,
  `maxsmilies` int(11) NOT NULL,
  `showuserlist` tinyint(1) NOT NULL,
  `showusers` tinyint(1) NOT NULL,
  `usecats` tinyint(1) NOT NULL,
  `usevotes` tinyint(1) NOT NULL,
  `allowsigs` tinyint(1) NOT NULL,
  `allowavas` tinyint(1) NOT NULL,
  `allowrecoms` tinyint(1) NOT NULL,
  `allowprints` tinyint(1) NOT NULL,
  `strtolower` tinyint(1) NOT NULL,
  `datestamp` tinytext NOT NULL,
  `timestamp` tinytext NOT NULL,
  `floodcontrol` tinytext NOT NULL,
  `floodtime` tinyint(1) NOT NULL,
  `mailaddr` tinytext NOT NULL,
  `commail` tinyint(1) NOT NULL,
  `allowdl` tinyint(1) NOT NULL,
  `dlexts` text NOT NULL,
  `secimgtype` tinytext NOT NULL,
  `wordwrap` tinytext NOT NULL
);

INSERT INTO `wtn1_options` (`language`, `newsurl`, `bver`, `allow_smilies`, `allow_wtbcodes`, `allow_html`, `allow_ssmilies`, `allow_swtbcodes`, `allow_shtml`, `allow_comments`, `allow_csmilies`, `allow_cwtbcodes`, `allow_chtml`, `tpldir`, `imagesfolder`, `tablewidth`, `bgcolor`, `fontcolor`, `fontfamily`, `fontsize`, `smallfontsize`, `tablecolor`, `tabletopcolor`, `hrcolor`, `boldfont`, `footercolor`, `footerfontcolor`, `title`, `allow_graphics`, `limit`, `morechars`, `isocharset`, `bodycss`, `css`, `showlogo`, `logo`, `bannedips`, `bannedclients`, `bannedhosts`, `bannedwords`, `bannedcwords`, `maxsmilies`, `showuserlist`, `showusers`, `usecats`, `usevotes`, `allowsigs`, `allowavas`, `allowrecoms`, `allowprints`, `strtolower`, `datestamp`, `timestamp`, `floodcontrol`, `floodtime`, `mailaddr`, `commail`, `allowdl`, `dlexts`, `secimgtype`, `wordwrap`) VALUES ('german', 'http://www.domain.de/wtn', '1.2.1.137', 1, 1, 1, 1, 1, 0, 1, 1, 1, 0, 'inc', 'images', '700px', '#475789', '#000000', 'Arial,Verdana,Helvetica', '12', '10', '#C7DBFE', '#A7B4BD', '#000000', 'bold', '#182C69', '#FFFFFF', 'wtNews', 1, 5, 500, 'iso-8859-1', 'margin: 0px;\r\npadding: 0px;\r\nborder: 0px none;', 'A:link {\r\ncolor: blue;\r\ntext-decoration: none;\r\n}\r\nA:visited {\r\ncolor: blue;\r\ntext-decoration: none;\r\n}\r\nA:active {\r\ncolor: blue;\r\ntext-decoration: none;\r\n}\r\nA:hover {\r\ncolor: blue;\r\ntext-decoration: underline;\r\n}\r\n.dfooter {\r\nposition: relative;\r\nbottom: 0px;\r\n}\r\n.table1 {\r\nbackground-image: url("./images/table1_bg.gif");\r\nbackground-repeat: no-repeat;\r\n}\r\n.table2 {\r\nbackground-image: url("./images/table2_bg.gif");\r\nbackground-repeat: repeat-x;\r\n}\r\n.table3 {\r\nbackground-image: url("./images/table3_bg.gif");\r\nbackground-repeat: no-repeat;\r\n}\r\n.table4 {\r\nbackground-image: url("./images/table4_bg.gif");\r\nbackground-repeat: no-repeat;\r\n}\r\n.table5 {\r\nbackground-image: url("./images/table5_bg.gif");\r\nbackground-repeat: repeat-x;\r\n}\r\n.table6 {\r\nbackground-image: url("./images/table6_bg.gif");\r\nbackground-repeat: no-repeat;\r\n}', 1, 'logo.gif', '', '', '', '', '', 15, 0, 0, 0, 0, 1, 1, 1, 1, 1, 'd.m.Y', 'H:i', '30', 1, 'mail@domain.de', 0, 1, 'html', 'none', '50');

DROP TABLE IF EXISTS `wtn1_smilies`;
CREATE TABLE IF NOT EXISTS `wtn1_smilies` (
  `id` int(11) NOT NULL auto_increment,
  `name` tinytext NOT NULL,
  `code` tinytext NOT NULL,
  `img` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=12;

INSERT INTO `wtn1_smilies` (`id`, `name`, `code`, `img`) VALUES (1, 'Lcheln', ':),:-),=)', 'smile'),
(2, 'Zwinkern', ';),;-)', 'zwink'),
(3, 'Zunge rausstrecken', ':-P,:-p,:P,:p', 'tongue'),
(4, 'Augen rollen', ':rolleyes:', 'rolleyes'),
(5, 'Labern', ':o,:O,:0', 'redface'),
(6, 'Wtend', 'x(,X(,x-(,X-(', 'mad'),
(7, 'Traurig', ':(,:-(,=(', 'frown'),
(8, 'Schockiert', 'o.o,O.O', 'eek'),
(9, 'Cool', '8),8-),B),B-)', 'cool'),
(10, 'Verwirrt', '?(,?-(', 'confused'),
(11, 'Grinsen', ':D,:-D,=D', 'biggrin');

DROP TABLE IF EXISTS `wtn1_users`;
CREATE TABLE IF NOT EXISTS `wtn1_users` (
  `userid` int(11) NOT NULL auto_increment,
  `username` tinytext NOT NULL,
  `userpw` tinytext NOT NULL,
  `usermail` tinytext NOT NULL,
  `ip` tinytext NOT NULL,
  `client` tinytext NOT NULL,
  `avatare` tinytext NOT NULL,
  `signature` text NOT NULL,
  `banned` tinyint(1) NOT NULL,
  `showmail` tinyint(1) NOT NULL,
  `usertext` text NOT NULL,
  PRIMARY KEY  (`userid`)
) AUTO_INCREMENT=2;

INSERT INTO `wtn1_users` (`userid`, `username`, `userpw`) VALUES (1, 'admin', '21232f297a57a5a743894a0e4a801fc3');

DROP TABLE IF EXISTS `wtn1_votes`;
CREATE TABLE IF NOT EXISTS `wtn1_votes` (
  `id` int(11) NOT NULL auto_increment,
  `newsid` int(11) NOT NULL,
  `vote` tinyint(2) NOT NULL,
  PRIMARY KEY  (`id`)
);