<?php
require_once('./global.php');
function wtbcode($string){
	global $lang;
	$patterns = array(
				'`\[b\](.+?)\[/b\]`is',
				'`\[i\](.+?)\[/i\]`is',
				'`\[u\](.+?)\[/u\]`is',
				'`\[s\](.+?)\[/s\]`is',
				'`\[o\](.+?)\[/o\]`is',
				'`\[color=(.+?)\](.+?)\[/color\]`is',
				'`\[email\](.+?)\[/email\]`is',
				'`\[email=(.+?)\](.+?)\[/email\]`is',
				'`\[img\](.+?)\[/img\]`is',
				'`\[img=(.+?)\]`is',
				'`\[url=([a-z0-9]+://)([\w\-]+\.([\w\-]+\.)*[\w]+(:[0-9]+)?(/[^ \"\n\r\t<]*?)?)\](.*?)\[/url\]`si',
				'`\[url\]([a-z0-9]+?://){1}([\w\-]+\.([\w\-]+\.)*[\w]+(:[0-9]+)?(/[^ \"\n\r\t<]*)?)\[/url\]`si',
				'`\[url\]((www|ftp)\.([\w\-]+\.)*[\w]+(:[0-9]+)?(/[^ \"\n\r\t<]*?)?)\[/url\]`si',
				'`\[quote\](.+?)\[/quote\]`is',
				'`\[code\](.+?)\[/code\]`is',
				'`\[indent](.+?)\[/indent\]`is',
				'`\[sub](.+?)\[/sub\]`is',
				'`\[sup](.+?)\[/sup\]`is',
				'`\[size=([1-6]+)\](.+?)\[/size\]`is',
				'`\[hr]`is',
				'`\[tt](.+?)\[/tt\]`is',
				'`\[left](.+?)\[/left\]`is',
				'`\[center](.+?)\[/center\]`is',
				'`\[right](.+?)\[/right\]`is',
				'`\[align=(.+?)\](.+?)\[/align\]`is',
				'`\[list](.+?)\[/list\]`is',
				'`\[list=1](.+?)\[/list\]`is',
				'`\[list=a](.+?)\[/list\]`is',
				'`\[list=a2](.+?)\[/list\]`is',
				'`\[list=i](.+?)\[/list\]`is',
				'`\[list=i2](.+?)\[/list\]`is',
				'`\[\*]`is',
				'`\[shadow](.+?)\[/shadow\]`is',
				'`\[glow=(.+?)\](.+?)\[/glow\]`is',
				'`\[flash](.+?)\[/flash\]`is',
				'`\[flash=(.+?)\]`is',
				'`\[marquee](.+?)\[/marquee\]`is',
				'`\[blur](.+?)\[/blur\]`is',
				'`\[span=(.+?)\](.+?)\[/span\]`is',
				'`\[blink](.+?)\[/blink\]`is',
				'`\[block](.+?)\[/block\]`is',
				'`\[nimg](.+?)\[/nimg\]`is',
				'`\[nimg=(.+?)\]`is',
				'`\[wave](.+?)\[/wave\]`is',
				'`\[dark](.+?)\[/dark\]`is',
				'`\[rainbow](.+?)\[/rainbow\]`is',
				'`\[google](.+?)\[/google\]`is',
				'`\[google=(.+?)](.+?)\[/google\]`is',
				'`\[wikipedia](.+?)\[/wikipedia\]`is',
				'`\[wikipedia=(.+?)](.+?)\[/wikipedia\]`is',
				'`\[table](.+?)\[/table\]`is',
				'`\[table border=(.+?)](.+?)\[/table\]`is',
				'`\[tr](.+?)\[/tr\]`is',
				'`\[td](.+?)\[/td\]`is',
				'`\[-](.+?)\[/-\]`is',
				'`\[-(.+?)\]`is'
		);
	$replaces =  array(
				'<b>\\1</b>',
				'<i>\\1</i>',
				'<u>\\1</u>',
				'<strike>\\1</strike>',
				'<span style="text-decoration: overline;">\\1</span>',
				'<span style="color: \1;">\2</span>',
				'<a href="mailto:\1">\1</a>',
				'<a href="mailto:\1">\2</a>',
				'<img src="\1" border="0" />',
				'<img src="\1" border="0" />',
				'<a href="\1\2" target="_blank">\6</a>',
				'<a href="\1\2" target="_blank">\1\2</a>',
				'<a href="http://\1" target="_blank">\1</a>',
				'<br>&nbsp;&nbsp;&nbsp;<b>'.$lang[quote].':</b><div style="margin: 0px 10px; padding: 5px; background-color: #729DCE; width: 80%;">\1</div>',
				'<br>&nbsp;&nbsp;&nbsp;<b>'.$lang[code].':</b><br><div style="margin: 0px 10px; padding: 5px; background-color: #ffffff;"><span style="color: black; font-size: 8pt;"><tt>\1</tt></span></div>',
				'<pre>\\1</pre>',
				'<sub>\\1</sub>',
				'<sup>\\1</sup>',
				'<h\1>\2</h\1>',
				'<hr>',
				'<tt>\\1</tt>',
				'<div align="left">\\1</div>',
				'<div align="center">\\1</div>',
				'<div align="right">\\1</div>',
				'<div align="\1">\2</div>',
				'<ul>\1</ul>',
				'<ol>\1</ol>',
				'<ol type=a>\1</ol>',
				'<ol type=A>\1</ol>',
				'<ol type=i>\1</ol>',
				'<ol type=I>\1</ol>',
				'<li>',
				'<span style="width:100%; filter:Shadow(color=#000000, direction=135)">\\1</span>',
				'<table style="filter: glow (color=\1 strength=2)">\2</table>',
				'<div align="center"><embed width="500" height="300" src="\\1"></div>',
				'<div align="center"><embed width="500" height="300" src="\\1"></div>',
				'<marquee>\\1</marquee>',
				'<span style="width: 100%; filter: Blur(direction=235, strength=6)">\\1</span>',
				'<span style="background-color: \1">\2</span>',
				'<script language="JavaScript" src="./wtbcodes.js"></script> <b><blink><span id="blink"> \\1 </span></blink> <script language="JavaScript"> blink(); </script></b><br>',
				'<span style="text-align: justify;">\\1</span>',
				'<img src="\\1" style="filter: XRay()" border=0>',
				'<img src="\\1" style="filter: XRay()" border=0>',
				'<span style="width: 100%; filter: Wave(freq=5, light=20, phase=10, strength=2)"> \\1 </span>',
				'<script language="JavaScript" src="./wtbcodes.js"></script> <script language="JavaScript"> Farbspiel(" \\1 "); </script></b><br>',
				'<script language="JavaScript" src="./wtbcodes.js"></script> <script language="JavaScript"> rainbow("--> \\1 <!--"); </script></b><br>',
				'<a href="http://www.google.com/search?hl=de&q=\1" target="_blank">\1</a>',
				'<a href="http://www.google.com/search?hl=\1&q=\2" target="_blank">\2</a>',
				'<a href="http://de.wikipedia.org/wiki/\1" target="_blank">\1</a>',
				'<a href="http://\1.wikipedia.org/wiki/\2" target="_blank">\2</a>',
				'<table cellspacing=0 cellpadding=0 width="100%">\\1</table>',
				'<table border=\\1 bordercolor="#000000" cellspacing=0 cellpadding=0 width="100%">\\2</table>',
				'<tr>\\1</tr>',
				'<td>\\1</td>',
				'<!--\\1-->',
				'<!--\\1-->'
		);
	$string = preg_replace($patterns, $replaces , $string);
	return $string;
}
function specialchars($string){
	$patterns = array(
				'`\[Alpha]`s',
				'`\[Beta]`s',
				'`\[Gamma]`s',
				'`\[Delta]`s',
				'`\[Epsilon]`s',
				'`\[Zeta]`s',
				'`\[Eta]`s',
				'`\[Theta]`s',
				'`\[Iota]`s',
				'`\[Kappa]`s',
				'`\[Lambda]`s',
				'`\[Mu]`s',
				'`\[Nu]`s',
				'`\[Xi]`s',
				'`\[Omicron]`s',
				'`\[Rho]`s',
				'`\[Sigma]`s',
				'`\[Tau]`s',
				'`\[Upsilon]`s',
				'`\[Phi]`s',
				'`\[Chi]`s',
				'`\[Psi]`s',
				'`\[Omega]`s',
				'`\[alpha]`s',
				'`\[beta]`s',
				'`\[gamma]`s',
				'`\[delta]`s',
				'`\[epsilon]`s',
				'`\[zeta]`s',
				'`\[eta]`s',
				'`\[theta]`s',
				'`\[iota]`s',
				'`\[kappa]`s',
				'`\[lambda]`s',
				'`\[mu]`s',
				'`\[nu]`s',
				'`\[xi]`s',
				'`\[omicron]`s',
				'`\[pi]`s',
				'`\[rho]`s',
				'`\[sigmaf]`s',
				'`\[sigma]`s',
				'`\[tau]`s',
				'`\[upsilon]`s',
				'`\[phi]`s',
				'`\[chi]`s',
				'`\[psi]`s',
				'`\[omega]`s',
				'`\[iexcl]`s',
				'`\[cent]`s',
				'`\[pound]`s',
				'`\[curren]`s',
				'`\[brvbar]`s',
				'`\[sect]`s',
				'`\[copy]`s',
				'`\[not]`s',
				'`\[reg]`s',
				'`\[laquo]`s',
				'`\[raquo]`s',
				'`\[macr]`s',
				'`\[deg]`s',
				'`\[plusmn]`s',
				'`\[micro]`s',
				'`\[para]`s',
				'`\[middot]`s',
				'`\[cedil]`s',
				'`\[iquest]`s',
				'`\[Ccedil]`s',
				'`\[Eth]`s',
				'`\[times]`s',
				'`\[Oslash]`s',
				'`\[szlig]`s',
				'`\[Thorn]`s',
				'`\[ccedil]`s',
				'`\[eth]`s',
				'`\[divide]`s',
				'`\[oslash]`s',
				'`\[oslash]`s',
				'`\[tilde]`s',
				'`\[fnof]`s',
				'`\[zwnj]`s',
				'`\[zwj]`s',
				'`\[ndash]`s',
				'`\[mdash]`s',
				'`\[lsquo]`s',
				'`\[rsquo]`s',
				'`\[ldquo]`s',
				'`\[rdquo]`s',
				'`\[sbquo]`s',
				'`\[bdquo]`s',
				'`\[dagger]`s',
				'`\[Dagger]`s',
				'`\[bull]`s',
				'`\[hellip]`s',
				'`\[permil]`s',
				'`\[prime]`s',
				'`\[Prime]`s',
				'`\[lsaquo]`s',
				'`\[rsaquo]`s',
				'`\[oline]`s',
				'`\[frasl]`s',
				'`\[euro]`s',
				'`\[trade]`s',
				'`\[larr]`s',
				'`\[uarr]`s',
				'`\[rarr]`s',
				'`\[darr]`s',
				'`\[harr]`s',
				'`\[lArr]`s',
				'`\[uArr]`s',
				'`\[rArr]`s',
				'`\[dArr]`s',
				'`\[hArr]`s',
				'`\[forall]`s',
				'`\[part]`s',
				'`\[exist]`s',
				'`\[empty]`s',
				'`\[nabla]`s',
				'`\[isin]`s',
				'`\[notin]`s',
				'`\[ni]`s',
				'`\[prod]`s',
				'`\[sum]`s',
				'`\[radic]`s',
				'`\[prop]`s',
				'`\[infin]`s',
				'`\[ang]`s',
				'`\[and]`s',
				'`\[or]`s',
				'`\[cap]`s',
				'`\[cup]`s',
				'`\[int]`s',
				'`\[there4]`s',
				'`\[sim]`s',
				'`\[asymp]`s',
				'`\[ne]`s',
				'`\[le]`s',
				'`\[ge]`s',
				'`\[equiv]`s',
				'`\[sub]`s',
				'`\[sube]`s',
				'`\[sup]`s',
				'`\[supe]`s',
				'`\[oplus]`s',
				'`\[otimes]`s',
				'`\[perp]`s',
				'`\[spades]`s',
				'`\[clubs]`s',
				'`\[hearts]`s',
				'`\[diams]`s',
				'`\[yen]`s',
				'`\[thorn]`s'
		);
	$replaces =  array(
				'&Alpha;',
				'&Beta;',
				'&Gamma;',
				'&Delta;',
				'&Epsilon;',
				'&Zeta;',
				'&Eta;',
				'&Theta;',
				'&Iota;',
				'&Kappa;',
				'&Lambda;',
				'&Mu;',
				'&Nu;',
				'&Xi;',
				'&Omicron;',
				'&Rho;',
				'&Sigma;',
				'&Tau;',
				'&Upsilon;',
				'&Phi;',
				'&Chi;',
				'&Psi;',
				'&Omega;',
				'&alpha;',
				'&beta;',
				'&gamma;',
				'&delta;',
				'&epsilon;',
				'&zeta;',
				'&eta;',
				'&theta;',
				'&iota;',
				'&kappa;',
				'&lambda;',
				'&mu;',
				'&nu;',
				'&xi;',
				'&omicron;',
				'&pi;',
				'&rho;',
				'&sigmaf;',
				'&sigma;',
				'&tau;',
				'&upsilon;',
				'&phi;',
				'&chi;',
				'&psi;',
				'&omega;',
				'&iexcl;',
				'&cent;',
				'&pound;',
				'&curren;',
				'&brvbar;',
				'&sect;',
				'&copy;',
				'&not;',
				'&reg;',
				'&laquo;',
				'&raquo;',
				'&macr;',
				'&deg;',
				'&plusmn;',
				'&micro;',
				'&para;',
				'&middot;',
				'&cedil;',
				'&iquest;',
				'&Ccedil;',
				'&ETH;',
				'&times;',
				'&Oslash;',
				'&szlig;',
				'&THORN;',
				'&ccedil;',
				'&eth;',
				'&divide;',
				'&oslash;',
				'&tilde;',
				'&fnof;',
				'&zwnj;',
				'&zwj;',
				'&ndash;',
				'&mdash;',
				'&lsquo;',
				'&rsquo;',
				'&ldquo;',
				'&rdquo;',
				'&sbquo;',
				'&bdquo;',
				'&dagger;',
				'&Dagger;',
				'&bull;',
				'&hellip;',
				'&permil;',
				'&prime;',
				'&Prime;',
				'&lsaquo;',
				'&rsaquo;',
				'&oline;',
				'&frasl;',
				'&euro;',
				'&trade;',
				'&larr;',
				'&uarr;',
				'&rarr;',
				'&darr;',
				'&harr;',
				'&lArr;',
				'&uArr;',
				'&rArr;',
				'&dArr;',
				'&hArr;',
				'&forall;',
				'&part;',
				'&exist;',
				'&empty;',
				'&nabla;',
				'&isin;',
				'&notin;',
				'&ni;',
				'&prod;',
				'&sum;',
				'&radic;',
				'&prop;',
				'&infin;',
				'&ang;',
				'&and;',
				'&or;',
				'&cap;',
				'&cup;',
				'&int;',
				'&there4;',
				'&sim;',
				'&asymp;',
				'&ne;',
				'&le;',
				'&ge;',
				'&equiv;',
				'&sub;',
				'&sube;',
				'&sup;',
				'&supe;',
				'&oplus;',
				'&otimes;',
				'&perp;',
				'&spades;',
				'&clubs;',
				'&hearts;',
				'&diams;',
				'&yen;',
				'&thorn;'
		);
	$string = preg_replace($patterns, $replaces , $string);
	return $string;
}
?>